// Oleg Petruny proprietary.

#include "RythmClickManager.h"

#include "MainGameModeBase.h"
#include "PlayerBase.h"

ARythmClickManager::ARythmClickManager()
{}

void ARythmClickManager::Start(APlayerBase* playerPawn, FMinigameEndCallback delegate)
{
    if(!playerPawn)
        return;

    AMinigame::Start(playerPawn, delegate);

    player->LockPlayer(FPlayerLock::All());
}

void ARythmClickManager::End()
{
    player->UnlockPlayer(FPlayerLock::All());

    AMinigame::End();
}
